Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 633776 - dev-qt/qtlocation-5.9.2 qmake failed (src/plugins/geoservices) - Project ERROR: Could not find feature geoservices_here.
Summary: dev-qt/qtlocation-5.9.2 qmake failed (src/plugins/geoservices) - Project ERRO...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-08 16:31 UTC by Andreas
Modified: 2020-04-09 22:17 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,3.23 KB, text/plain)
2017-10-08 16:31 UTC, Andreas
Details
emerge --info '=dev-qt/qtlocation-5.9.2::gentoo' (emerge --info,7.14 KB, text/plain)
2017-10-08 16:31 UTC, Andreas
Details
emerge -pqv '=dev-qt/qtlocation-5.9.2::gentoo' (emerge -pqv,70 bytes, text/plain)
2017-10-08 16:32 UTC, Andreas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas 2017-10-08 16:31:18 UTC
Created attachment 498114 [details]
build.log

Emerging dev-qt/qtlocation-5.9.2::gentoo fails at the configure phase running qmake in src/plugins/geoservices:
 * Running qt5_qmake in src/plugins/geoservices
Project ERROR: Could not find feature geoservices_here.

The output of emerge --info '=dev-qt/qtlocation-5.9.2::gentoo', emerge -pqv '=dev-qt/qtlocation-5.9.2::gentoo' and the build log are attached.
Comment 1 Andreas 2017-10-08 16:31:42 UTC
Created attachment 498116 [details]
emerge --info '=dev-qt/qtlocation-5.9.2::gentoo'
Comment 2 Andreas 2017-10-08 16:32:08 UTC
Created attachment 498118 [details]
emerge -pqv '=dev-qt/qtlocation-5.9.2::gentoo'
Comment 3 Jouni Kosonen 2017-10-09 02:01:26 UTC
QT_FOR_CONFIG += location-private isn't doing what it's supposed to.

Reverting the last upstream commit to geoservices.pro[0] lets the build complete.

[0]https://code.qt.io/cgit/qt/qtlocation.git/commit/src/plugins/geoservices/geoservices.pro?id=3856f0185442b5c4b85c770888072db0bc3fff1a
Comment 4 Michael Palimaka (kensington) gentoo-dev 2017-10-09 11:16:44 UTC
This is an artifact of our split packaging, it works OK in a normal build.
Comment 5 Michael Palimaka (kensington) gentoo-dev 2017-10-09 11:46:09 UTC
I notice that when I run qmake in the root directory, I get some additional files compared to running in src/location directly:
src/location/qtlocation-config.pri:QT.location_private.enabled_features = geoservices_esri geoservices_here geoservices_itemsoverlay geoservices_mapbox geoservices_mapboxgl geoservices_osm
src/location/qtlocation-config_p.h:#define QT_FEATURE_geoservices_here 1
Comment 6 Michael Palimaka (kensington) gentoo-dev 2017-10-09 12:18:29 UTC
Here's a patch that's working for me:
diff --git a/dev-qt/qtlocation/qtlocation-5.9.2.ebuild b/dev-qt/qtlocation/qtlocation-5.9.2.ebuild
index 420e3c9ba78..bff08f2bee5 100644
--- a/dev-qt/qtlocation/qtlocation-5.9.2.ebuild
+++ b/dev-qt/qtlocation/qtlocation-5.9.2.ebuild
@@ -34,3 +34,9 @@ QT5_TARGET_SUBDIRS=(
        src/imports/location
        src/plugins/geoservices
 )
+
+src_configure() {
+       mkdir -p "${QT5_BUILD_DIR}" || die
+       qt5_qmake "${QT_BUILD_DIR}"
+       qt5-build_src_configure
+}

I wonder if to be safe we should do this in the eclass for all non-qtbase >=5.9?
Comment 7 Davide Pesavento (RETIRED) gentoo-dev 2017-10-09 16:29:12 UTC
(In reply to Michael Palimaka (kensington) from comment #6)
> I wonder if to be safe we should do this in the eclass for all non-qtbase
> >=5.9?

That used to have unintended consequences (can't remember what exactly) for some modules _before_ the build system overhaul in 5.8. No idea if it's safe now.
Comment 8 Michael Palimaka (kensington) gentoo-dev 2017-10-10 11:17:26 UTC
(In reply to Davide Pesavento from comment #7)
> (In reply to Michael Palimaka (kensington) from comment #6)
> > I wonder if to be safe we should do this in the eclass for all non-qtbase
> > >=5.9?
> 
> That used to have unintended consequences (can't remember what exactly) for
> some modules _before_ the build system overhaul in 5.8. No idea if it's safe
> now.

OK, I'll push this just for qtlocation for now. I will monitor and we can review this later if we run into other modules breaking like this.
Comment 9 Larry the Git Cow gentoo-dev 2017-10-10 11:20:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/qt.git/commit/?id=feaa2356be6949c90be25099f8e69aaa3fa2d3bb

commit feaa2356be6949c90be25099f8e69aaa3fa2d3bb
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2017-10-10 11:20:11 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2017-10-10 11:20:41 +0000

    dev-qt/qtlocation: fix build of 5.9 and later
    
    Bug: https://bugs.gentoo.org/633776
    Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-qt/qtlocation/qtlocation-5.10.9999.ebuild | 8 ++++++++
 dev-qt/qtlocation/qtlocation-5.9.9999.ebuild  | 8 ++++++++
 dev-qt/qtlocation/qtlocation-5.9999.ebuild    | 8 ++++++++
 3 files changed, 24 insertions(+)}
Comment 10 Larry the Git Cow gentoo-dev 2017-10-10 11:22:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abe13572ad37175b9a0c8f5e7ee2391e3f7cc007

commit abe13572ad37175b9a0c8f5e7ee2391e3f7cc007
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2017-10-10 11:20:11 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2017-10-10 11:22:39 +0000

    dev-qt/qtlocation: fix build of 5.9.2
    
    Closes: https://bugs.gentoo.org/633776
    Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-qt/qtlocation/qtlocation-5.9.2.ebuild | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 11 Larry the Git Cow gentoo-dev 2020-04-09 22:17:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/qt.git/commit/?id=e86f6c527e9371790330a0f6aac4fa5c2baecf44

commit e86f6c527e9371790330a0f6aac4fa5c2baecf44
Author:     Jimi Huotari <chiitoo@gentoo.org>
AuthorDate: 2020-04-07 12:37:04 +0000
Commit:     Jimi Huotari <chiitoo@gentoo.org>
CommitDate: 2020-04-09 22:15:35 +0000

    dev-qt: fix 5.15 configure for qttools modules
    
    Upstream added configure features for more qttools [1], which requires
    similar workarounds for out-of-source builds that have been used for
    some of the modules for a time already.
    
    1. https://code.qt.io/cgit/qt/qttools.git/commit/?h=5.15&id=50ef2ac2
    
    Bug: https://bugs.gentoo.org/633776
    Bug: https://bugs.gentoo.org/676948
    Closes: https://bugs.gentoo.org/716514
    Package-Manager: Portage-2.3.96, Repoman-2.3.22
    Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>

 dev-qt/designer/designer-5.15.0_beta3.ebuild             | 10 ++++++++++
 dev-qt/designer/designer-5.15.9999.ebuild                | 10 ++++++++++
 dev-qt/linguist-tools/linguist-tools-5.15.0_beta3.ebuild | 10 ++++++++++
 dev-qt/linguist-tools/linguist-tools-5.15.9999.ebuild    | 10 ++++++++++
 dev-qt/pixeltool/pixeltool-5.15.0_beta3.ebuild           | 10 ++++++++++
 dev-qt/pixeltool/pixeltool-5.15.9999.ebuild              | 10 ++++++++++
 dev-qt/qdoc/qdoc-5.15.0_beta3.ebuild                     |  1 +
 dev-qt/qdoc/qdoc-5.15.9999.ebuild                        |  1 +
 dev-qt/qtdiag/qtdiag-5.15.0_beta3.ebuild                 | 10 ++++++++++
 dev-qt/qtdiag/qtdiag-5.15.9999.ebuild                    | 10 ++++++++++
 dev-qt/qtpaths/qtpaths-5.15.0_beta3.ebuild               | 10 ++++++++++
 dev-qt/qtpaths/qtpaths-5.15.9999.ebuild                  | 10 ++++++++++
 dev-qt/qtplugininfo/qtplugininfo-5.15.0_beta3.ebuild     | 10 ++++++++++
 dev-qt/qtplugininfo/qtplugininfo-5.15.9999.ebuild        | 10 ++++++++++
 14 files changed, 122 insertions(+)